---
slug: release-post
title: Release
authors: [ amith ]
tags: [ Java, AI, LLM, GenAI, GenerativeAI, Ollama, Ollama4j, OpenSource, Developers
]
---

Hey there, my fellow Java Developers! 🚀

I am glad to announce the release of Ollama4j, a library that unites Ollama (an LLM manager and runner) and your Java
applications! 🌐🚀

👉 GitHub Repository: Ollama4j on GitHub (https://github.com/amithkoujalgi/ollama4j)

🌟 Key Features:

- Easy integration with Ollama, enabling the execution of large language models locally.
- Clean and simple APIs, focused on seamless interaction with Ollama.
- Empowers Java developers to harness the full capabilities of Ollama.
- Provides APIs to perform operations such as listing, pulling, deleting models, and creating custom models.
- Provides APIs to ask questions (generate completions) to the LLMs in synchronous and asynchronous modes.
- Ability to ask questions along with image files or image URLs! 🤩
- Open-source and primed for collaborative contributions from the community!

🦙 What is Ollama?

Ollama is an advanced AI tool that allows users to easily set up and run large language models locally (in CPU and GPU
modes). With Ollama, users can leverage powerful language models such as Llama 2 and even customize and create their own
models.

For more details about Ollama, check these out:

- https://ollama.ai/
- https://www.linkedin.com/company/ollama/

👨‍💻 Why Ollama4j?

As a Java developer passionate about harnessing the latest advancements in AI, I realized the need for a simple and
efficient way to integrate Ollama into Java applications. That's why I authored Ollama4j!

🔧 How to Get Started:

Visit the GitHub repository: Ollama4j on GitHub.

Follow the easy setup instructions in the README to integrate Ollama into your Java projects.

Start unlocking the potential of large language models in your applications!

🙏 Contributions Welcome:

I invite the Java developer community to explore, use, and contribute to Ollama4j. Your feedback, suggestions, and
contributions will help this library get better.

I am excited about the possibilities that Ollama4j opens up for Java developers. Whether you're working on natural
language processing, chatbots, or any application that can benefit from advanced language models, Ollama4j is here to
elevate your projects.

I look forward to seeing the incredible applications/projects you'll build with Ollama4j! 🌟

Find the full API spec here: https://amithkoujalgi.github.io/ollama4j/

Find the Javadoc here: https://amithkoujalgi.github.io/ollama4j/apidocs/

Ollama4j Docs is powered by [Docusaurus](https://docusaurus.io).

